/*
 * WinMain.c: Provide default WinMain function. Note that the WinMain
 * gets redefined to _ast_WinMain for UWIN.
 *
 * Contributed by Mumit Khan <khan@xraylith.wisc.edu>.
 */

#undef extern

#include <stdio.h>
#include <windows.h>

extern int __argc;
extern char **__argv;
extern char **environ;

int WINAPI WinMain (HINSTANCE me, HINSTANCE prev, LPSTR cmd, int flags)
{
  int ret;
  ret = main (__argc, __argv, environ);
  exit (ret);
}
