/*
 * We can't use the sys_nerr and sys_errlist exported from POSIX.DLL for
 * some weird problem; if sys_errlist is prototyped as char** instead of
 * char*[], then it works, otherwise not. Until we revisit this problem,
 * simply use this version. */

/* Needs to be sync'd with UWIN POSIX */

char *sys_errlist[] = {
  "No error",
  "Operation not permitted",
  "No such file or directory",
  "No such process",
  "Interrupted system call",
  "I/O error",
  "No such device or address",
  "Arg list too long",
  "Exec format error",
  "Bad file number",
  "No child processes",
  "Try again",
  "Out of memory",
  "Permission denied",
  "Bad address",
  "Block device required",
  "Device or resource busy",
  "File exists",
  "Cross-device link",
  "No such device",
  "Not a directory",
  "Is a directory",
  "Invalid argument",
  "File table overflow",
  "Too many open files",
  "Not a typewriter",
  "Text file busy",
  "File too large",
  "No space left on device",
  "Illegal seek",
  "Read-only file system",
  "Too many links",
  "Broken pipe",
  "Math argument out of domain of func",
  "Math result not representable",
  "Try again",
  "Operation now in progress",
  "Operation already in progress",
  "Socket operation on non-socket",
  "Destination address required",
  "Message too long",
  "Protocol wrong type for socket",
  "Protocol not available",
  "Protocol not supported",
  "Socket type not supported",
  "Operation not supported on transport endpoint",
  "Protocol family not supported",
  "Address family not supported by protocol",
  "Address already in use",
  "Cannot assign requested address",
  "Network is down",
  "Network is unreachable",
  "Network dropped connection because of reset",
  "Software caused connection abort",
  "Connection reset by peer",
  "No buffer space available",
  "Transport endpoint is already connected",
  "Transport endpoint is not connected",
  "Cannot send after transport endpoint shutdown",
  "Too many references: cannot splice",
  "Connection timed out",
  "Connection refused",
  "Too many symbolic links encountered",
  "File name too long",
  "Host is down",
  "No route to host",
  "Directory not empty",
  "Operation not permitted",
  "Too many users",
  "Quota exceeded",
  "Stale NFS file handle",
  "Object is remote",
  "Link has been severed",
  "Protocol error",
  "Multihop attempted",
  "No message of desired type",
  "Not a data message",
  "Identifier removed",
  "Resource deadlock would occur",
  "No record locks available",
  "Function not implemented",
  "Function not implemented",
  "Text file busy",
  "Value too large for defined data type",
  "Device not a stream",
  "No data available",
  "Timer expired",
  "Out of streams resources",
  "Illegal byte sequence",
  "Unknown error 89",
};

int sys_nerr = (sizeof (sys_errlist)/sizeof (sys_errlist[0])) - 1;
